Bug 1026165 - [abrt] bacula-console-bat-5.2.13-17.fc19: smalloc: Process /usr/sbin/bat was killed by signal 11 (SIGSEGV)
[abrt] bacula-console-bat-5.2.13-17.fc19: smalloc: Process /usr/sbin/bat was ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:56bdc5c8a48befa1fac21e44367...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 00:44 EST by Steven Ellis
Modified: 2015-02-17 14:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:01:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (72.85 KB, text/plain)
2013-11-04 00:44 EST, Steven Ellis
no flags Details
File: cgroup (142 bytes, text/plain)
2013-11-04 00:44 EST, Steven Ellis
no flags Details
File: core_backtrace (35.67 KB, text/plain)
2013-11-04 00:44 EST, Steven Ellis
no flags Details
File: dso_list (12.32 KB, text/plain)
2013-11-04 00:44 EST, Steven Ellis
no flags Details
File: environ (2.89 KB, text/plain)
2013-11-04 00:45 EST, Steven Ellis
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-04 00:45 EST, Steven Ellis
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-04 00:45 EST, Steven Ellis
no flags Details
File: maps (61.34 KB, text/plain)
2013-11-04 00:45 EST, Steven Ellis
no flags Details
File: open_fds (1.04 KB, text/plain)
2013-11-04 00:45 EST, Steven Ellis
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2013-11-04 00:45 EST, Steven Ellis
no flags Details
File: var_log_messages (15.37 KB, text/plain)
2013-11-04 00:45 EST, Steven Ellis
no flags Details

  None (edit)
Description Steven Ellis 2013-11-04 00:44:37 EST
Description of problem:
Using bacula, trying to update the display in the tape changer section (button is labelled "update slots")

Version-Release number of selected component:
bacula-console-bat-5.2.13-17.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        bat
crash_function: smalloc
executable:     /usr/sbin/bat
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 smalloc at smartall.c:121
 #1 sm_malloc at smartall.c:248
 #2 table_get_selection at storage/content.cpp:106
 #3 Content::consoleUpdateSlots at storage/content.cpp:330
 #4 QMetaObject::activate at kernel/qobject.cpp:3547
 #5 QAbstractButton::clicked at .moc/release-shared/moc_qabstractbutton.cpp:219
 #6 QAbstractButtonPrivate::emitClicked at widgets/qabstractbutton.cpp:548
 #7 QAbstractButtonPrivate::click at widgets/qabstractbutton.cpp:541
 #8 QAbstractButton::mouseReleaseEvent at widgets/qabstractbutton.cpp:1123
 #9 QWidget::event at kernel/qwidget.cpp:8376
Comment 1 Steven Ellis 2013-11-04 00:44:46 EST
Created attachment 818894 [details]
File: backtrace
Comment 2 Steven Ellis 2013-11-04 00:44:50 EST
Created attachment 818895 [details]
File: cgroup
Comment 3 Steven Ellis 2013-11-04 00:44:53 EST
Created attachment 818896 [details]
File: core_backtrace
Comment 4 Steven Ellis 2013-11-04 00:44:57 EST
Created attachment 818897 [details]
File: dso_list
Comment 5 Steven Ellis 2013-11-04 00:45:00 EST
Created attachment 818898 [details]
File: environ
Comment 6 Steven Ellis 2013-11-04 00:45:04 EST
Created attachment 818899 [details]
File: exploitable
Comment 7 Steven Ellis 2013-11-04 00:45:07 EST
Created attachment 818900 [details]
File: limits
Comment 8 Steven Ellis 2013-11-04 00:45:11 EST
Created attachment 818901 [details]
File: maps
Comment 9 Steven Ellis 2013-11-04 00:45:14 EST
Created attachment 818902 [details]
File: open_fds
Comment 10 Steven Ellis 2013-11-04 00:45:18 EST
Created attachment 818903 [details]
File: proc_pid_status
Comment 11 Steven Ellis 2013-11-04 00:45:21 EST
Created attachment 818904 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-01-09 15:26:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 14:01:00 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.